Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sdk
Class SDKDirectCollectionMapping

`java.lang.Object
oracle.toplink.mappings.DatabaseMapping
oracle.toplink.mappings.foundation.AbstractCompositeDirectCollectionMapping
oracle.toplink.sdk.SDKDirectCollectionMapping`

All Implemented Interfaces:
  java.lang.Cloneable, ContainerMapping, SDKCollectionMapping, java.io.Serializable

Direct Known Subclasses:
  ArrayMapping

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.eis`

public class SDKDirectCollectionMapping
extends AbstractCompositeDirectCollectionMapping
implements SDKCollectionMapping

`SDKDirectCollectionMapping` consolidates the behavior of mappings that map collections of "native" data objects (e.g. `String`s). These are objects that do not have their own descriptor and repeat within the database row for the containing object. (Sorta like a `DirectCollectionMapping` without the additional table.)

Since:
  TOPLink/Java 3.0
See Also:
  `SDKDescriptor`, `SDKFieldValue`, `SDKCollectionMappingHelper`, `SDKCollectionChangeRecord`, `SDKOrderedCollectionChangeRecord`, Serialized Form

Constructor Summary
`SDKDirectCollectionMapping()` Deprecated. Default constructor.

Method Summary
`java.lang.String` | `getElementDataTypeName()` Deprecated. PUBLIC: Return the "data type" associated with each element in the nested collection.
`java.lang.String` | `getFieldName()` Deprecated. PUBLIC: Return the name of the field that holds the nested collection.
`void` | `setElementDataTypeName(java.lang.String elementDataTypeName)` Deprecated. PUBLIC: Set the "data type" associated with each element in the nested collection.
`void` | `setFieldName(java.lang.String fieldName)` Deprecated. PUBLIC: Set the name of the field that holds the nested collection.
`void` | `simpleAddToCollectionChangeRecord(java.lang.Object referenceKey, java.lang.Object changeSetToAdd, ObjectChangeSet changeSet, Session session)` Deprecated. ADVANCED: This method is used to have an object add to a collection once the changeSet is applied The referenceKey parameter should only be used for direct Maps.
`void` | `simpleRemoveFromCollectionChangeRecord(java.lang.Object referenceKey, java.lang.Object changeSetToRemove, ObjectChangeSet changeSet, Session session)` Deprecated. ADVANCED: This method is used to have an object removed from a collection once the changeSet is applied The referenceKey parameter should only be used for direct Maps.

Methods inherited from class oracle.toplink.mappings.foundation.AbstractCompositeDirectCollectionMapping
`getAttributeElementClass, getFieldElementClass, getValueConverter, setAttributeElementClass, setContainerPolicy, setField, setFieldElementClass, setUsesSingleNode, setValueConverter, useCollectionClass, useMapClass, usesSingleNode`

Methods inherited from class oracle.toplink.mappings.DatabaseMapping
`getAttributeAccessor, getAttributeClassification, getAttributeName, getGetMethodName, getReferenceClassDescriptor, getSetMethodName, isUsingMethodAccess, readOnly, readWrite, setAttributeAccessor, setAttributeName, setGetMethodName, setIsReadOnly, setSetMethodName, setWeight`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.toplink.sdk.SDKCollectionMapping
`buildAddedElementFromChangeSet, buildChangeSet, buildElementFromElement, buildRemovedElementFromChangeSet, compareElements, compareElementsForChange, getAttributeName, getRealCollectionAttributeValueFromObject, mapKeyHasChanged, setRealAttributeValueInObject`

Methods inherited from interface oracle.toplink.mappings.ContainerMapping
`getContainerPolicy, setContainerPolicy, useCollectionClass, useMapClass`

Constructor Detail

### SDKDirectCollectionMapping

    public SDKDirectCollectionMapping()

  Deprecated.
  Default constructor.

Method Detail

### getFieldName

    public java.lang.String getFieldName()

  Deprecated.
  PUBLIC: Return the name of the field that holds the nested collection.
  Overrides:
    `getFieldName` in class `AbstractCompositeDirectCollectionMapping`

### setFieldName

    public void setFieldName(java.lang.String fieldName)

  Deprecated.
  PUBLIC: Set the name of the field that holds the nested collection.

### getElementDataTypeName

    public java.lang.String getElementDataTypeName()

  Deprecated.
  PUBLIC: Return the "data type" associated with each element in the nested collection. Depending on the data store, this could be optional.

### setElementDataTypeName

    public void setElementDataTypeName(java.lang.String elementDataTypeName)

  Deprecated.
  PUBLIC: Set the "data type" associated with each element in the nested collection. Depending on the data store, this could be optional.

### simpleAddToCollectionChangeRecord

    public void simpleAddToCollectionChangeRecord(java.lang.Object referenceKey,
                                                  java.lang.Object changeSetToAdd,
                                                  ObjectChangeSet changeSet,
                                                  Session session)

  Deprecated.
  ADVANCED: This method is used to have an object add to a collection once the changeSet is applied The referenceKey parameter should only be used for direct Maps.
  Overrides:
    `simpleAddToCollectionChangeRecord` in class `AbstractCompositeDirectCollectionMapping`

### simpleRemoveFromCollectionChangeRecord

    public void simpleRemoveFromCollectionChangeRecord(java.lang.Object referenceKey,
                                                       java.lang.Object changeSetToRemove,
                                                       ObjectChangeSet changeSet,
                                                       Session session)

  Deprecated.
  ADVANCED: This method is used to have an object removed from a collection once the changeSet is applied The referenceKey parameter should only be used for direct Maps.
  Overrides:
    `simpleRemoveFromCollectionChangeRecord` in class `AbstractCompositeDirectCollectionMapping`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD